//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef _DATASAVEFRAME_
#define _DATASAVEFRAME_

//=======================================================================

// --- DU Selection FW ---------
#ifndef DULISTFRAME_H
#include "DUListFrame.h"		// DU_CListFrame
#endif

//=======================================================================
class FW_CLASS_ATTR CDataSavePart;
class FW_CLASS_ATTR DU_MSelectable;
class FW_CLASS_ATTR DU_CListSelection;

//=======================================================================
class FW_CLASS_ATTR CDataSaveFrame : public DU_CListFrame {
public:
						CDataSaveFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CDataSavePart* part);
	virtual 			~CDataSaveFrame();
	enum EMouseMode {kSelect, kDrawPizza, kDrawSquarePizza};
protected:
// overrides
	virtual FW_Boolean	DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);
	virtual FW_Boolean	DoMenu(Environment* ev,
							   const FW_CMenuEvent& theMenuEvent);
	virtual FW_Boolean	DoMouseDown(Environment* ev, 
									const FW_CMouseEvent& theMouseEvent);
// new members
private:
	CDataSavePart*		fDataSavePart;
	EMouseMode			fMouseMode;
	DU_CListSelection*	fSelection;
};

//=======================================================================
#endif
