//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef DATASAVEPRT_H
#define DATASAVEPRT_H

//=======================================================================
#ifndef _DATASAVEDEF_
#include "DataSaveDef.h"
#endif

// --- DU Selection FW ---------------------
#ifndef DULISTPART_H
#include "DUListPart.h"		// DU_CListPart
#endif

// ----- Foundation Layer -----
#ifndef FWSTDDEF_H
#include <FWStdDef.h>		// ?
#endif

//=======================================================================
class FW_CLASS_ATTR FW_CPart;
class FW_CLASS_ATTR FW_CString;
class FW_CLASS_ATTR FW_CPresentation;
class FW_CLASS_ATTR CPizza;

//=======================================================================
class FW_CLASS_ATTR CDataSavePart : public DU_CListPart {
public:
						CDataSavePart(ODPart* odPart);
	virtual 			~CDataSavePart();
	static const ODValueType 	kPartKind;
	static const ODValueType 	kPartUserName;
// overrides
protected:
	virtual void 		Initialize(Environment* ev);
	virtual FW_CFrame*	NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
// new members
public:
	virtual void		MyAddPizza(Environment* ev, CPizza* pizza);
	virtual void		MyRemovePizza(Environment* ev, CPizza* pizza);
	virtual void		MyInvalidatePresentation(Environment* ev, FW_CRect& invalidRect);
protected:
	virtual void 		MyInitMenus(Environment* ev);
private:
	FW_CPresentation*	fPresentation;
};

//=======================================================================
#endif
