//-------------------------------------------------------------------------------------
//	File:		DataSavePrt.r
//
//	Contains:	Resources for DataSave part
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//-------------------------------------------------------------------------------------


#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#include "Types.r"
#include "SysTypes.r"
#include "CodeFragmentTypes.r"

#ifndef __ODTYPES_R__
#include "ODTypes.r"
#endif

#ifndef _DATASAVEDEF_
#include "DataSaveDef.h"
#endif

//-------------------------------------------------------------------------------------
// .rsrc resources
//-------------------------------------------------------------------------------------

include "MacIcons.rsrc" not 'ckid';
include "MacAbout.rsrc" not 'ckid';
include "MyResources.rsrc" not 'ckid';

//-------------------------------------------------------------------------------------
// Code Fragment Resource
//-------------------------------------------------------------------------------------

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kDataSaveEditor,
		/* [2] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"DataSave"
	}
};

//-------------------------------------------------------------------------------------
// NMAP Resources
//-------------------------------------------------------------------------------------

resource kODNameMappings (kKindCategoryMapId) {
	kODKind,
	{	/* array Types: 1 elements */
		/* [1] */
		kDataSaveKind,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kDataSaveCategory
			}
		}
	}
};

resource kODNameMappings (kEditorKindMapId) {
	kODEditorKinds,
	{	/* array Types: 1 elements */
		/* [1] */
		kDataSaveEditor,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kDataSaveKind
			}
		}
	}
};

resource kODNameMappings (kEditorUserStringMapId) {
	kODEditorUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kDataSaveEditor,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kDataSaveEditorUserString
		}
	}
};

resource kODNameMappings (kKindUserStringMapId) {
	kODKindUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kDataSaveKind,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kDataSaveKindUserString
		}
	}
};

resource kODNameMappings (kCategoryUserStringMapId) {
	kODCategoryUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kDataSaveCategory,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kDataSaveCategoryUserString
		}
	}
};

resource kODNameMappings (kOldMacOSTypeMapId) {
	kODKindOldMacOSType,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kDataSaveKind,
		kODIsMacOSType {
			kDataSaveOSType
		}
	}
};

