//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

//=======================================================================
#ifndef _DATASAVEFRAME_
#include "DataSaveFrm.h"		// CDataSaveFrame
#endif

#ifndef DATASAVEPRT_H
#include "DataSavePrt.h"		// CDataSavePart
#endif

#ifndef PIZZA_H
#include "Pizza.h"				//  CPizza
#endif

#ifndef MAKEPIZZACMD_H
#include "MakePizzaCmd.h"		// CMakePizzaCommand
#endif

#ifndef CONSTANT_H
#include "Constant.h"
#endif

// --- DU Selection FW ---------------------
#ifndef DULIST_H
#include "DUList.h"				// DU_CList, DU_CListIterator
#endif

#ifndef DULISTSELECTION_H
#include "DUListSelection.h"	// DU_CListSelection
#endif

// ----- Framework Layer -----
#ifndef FWUTIL_H
#include "FWUtil.h"				// FW_CFacetContext, FW_Beep()
#endif

#ifndef FWVIEW_H
#include "FWView.h"				// FW_CViewContext
#endif

// ----- Graphic Includes -----
#ifndef FWRECT_H
#include <FWRect.h>				// FW_CRect
#endif

#ifndef FWRECSHP_H
#include "FWRecShp.h"			// FW_CRectShape
#endif

//========================================================================================
#ifdef FW_BUILD_MAC
#pragma segment DataSave
#endif

//========================================================================================
CDataSaveFrame::CDataSaveFrame(Environment* ev, ODFrame* odFrame, 
									FW_CPresentation* presentation, CDataSavePart* part)
  : DU_CListFrame(ev, odFrame, presentation, part),
  	fDataSavePart(part),
  	fMouseMode(kSelect),
  	fSelection((DU_CListSelection*)GetPresentation(ev)->GetSelection(ev))
{
}

//----------------------------------------------------------------------------------------
CDataSaveFrame::~CDataSaveFrame()
{
}

//--------------------------------------------------------------------------------
FW_Boolean 
CDataSaveFrame::DoAdjustMenus(Environment* ev, FW_CMenuBar* menuBar, 
									 FW_Boolean hasMenuFocus,
									 FW_Boolean isRoot)	// Override
{
	if (hasMenuFocus) {	
		menuBar->EnableCommand(ev, cSelectPizzaCmd, TRUE);
		menuBar->EnableCommand(ev, cMakePizzaCmd, TRUE);
	}
	return FALSE;
}

//--------------------------------------------------------------------------------
FW_Boolean 
CDataSaveFrame::DoMenu(Environment* ev, const FW_CMenuEvent& theMenuEvent)	// Override
{
	FW_Boolean menuHandled = TRUE;
	switch (theMenuEvent.GetCommandID(ev)) {
		case cSelectPizzaCmd:
			fMouseMode = kSelect;
			break;

		case cMakePizzaCmd:
			fMouseMode = kDrawPizza;
			break;

		default:
			menuHandled = FALSE;
	}
	return menuHandled;
}

//----------------------------------------------------------------------------------------
FW_Boolean 
CDataSaveFrame::DoMouseDown(Environment* ev, const FW_CMouseEvent& theMouseEvent)
{	
	if (fMouseMode == kSelect) {
		this->SelectItemWithMouse(ev, theMouseEvent);
	}

	if (fMouseMode == kDrawPizza) {
		FW_CPoint position = theMouseEvent.GetMousePosition(ev, FW_CMouseEvent::kFrame);
		this->GetContentView(ev)->FrameToViewContent(ev, position);
		CMakePizzaCommand* cmd = FW_NEW(CMakePizzaCommand, 
										(ev, cMakePizzaCmd, fDataSavePart, this, position));
		fDataSavePart->ExecuteCommand(ev, cmd);
		}
	return TRUE;				// we handled event
}
