//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

//===============================================================
#ifndef MAKEPIZZACMD_H
#include "MakePizzaCmd.h"		// CMakePizzaCommand
#endif

#ifndef PIZZA_H
#include "Pizza.h"				// CPizza
#endif

// --- DU Selection FW ---------------------
#ifndef DULISTSELECTION_H
#include "DUListSelection.h"	// DU_CListSelection
#endif

#ifndef STARTERPRT_H
#include "DataSavePrt.h"		// CDataSavePart
#endif

#ifndef CONSTANT_H
#include "Constant.h"			// my menu command numbers
#endif

//===============================================================
#ifdef FW_BUILD_MAC
#pragma segment DataCmd
#endif

//===============================================================
FW_DEFINE_CLASS_M1(CMakePizzaCommand, FW_CCommand)

//===============================================================
CMakePizzaCommand::CMakePizzaCommand(Environment* ev, ODCommandID id, 
											FW_CPart* part,
											FW_CFrame* frame,
											FW_CPoint& position)
  : FW_CCommand(ev, id, frame, FW_kCanUndo),
	fPosition(position),
	fPizza(NULL)
{
	FW_ASSERT(part);
	this->SetMenuStrings(ev, "Undo Make Pizza", "Redo Make Pizza");
}

//---------------------------------------------------------------
CMakePizzaCommand::~CMakePizzaCommand()
{
	// don't delete pizza; it belongs to part
}

//---------------------------------------------------------------
void 
CMakePizzaCommand::DoIt(Environment* ev)
{
	FW_CRect bounds(FW_IntToFixed(0), FW_IntToFixed(0), FW_IntToFixed(40), FW_IntToFixed(40));
	bounds.Offset(fPosition);
	FW_CColor color = FW_kRGBYellow;
//	if ( FW_PrivFixedToInt(fPosition.x) % 2)
//		color = FW_kRGBGreen;
	fPizza = new CPizza(bounds, color);
	((DU_CListSelection*)fSelection)->AddItemToPart(ev, fPizza);
}

//---------------------------------------------------------------
void 
CMakePizzaCommand::UndoIt(Environment* ev)
{
	((DU_CListSelection*)fSelection)->RemoveItemFromPart(ev, fPizza);
	fPizza = NULL;
//	((CDataSavePart*)fPart)->MyRemovePizza(ev, fPizza);
}

//---------------------------------------------------------------
void 
CMakePizzaCommand::RedoIt(Environment* ev)
{
	this->DoIt(ev);
}
