//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

//==========================================================================
#ifndef PIZZA_H
#include "Pizza.h"				// CPizza
#endif

// ----- OSLayer Includes -----
#ifndef FWOVLSHP_H
#include "FWOvlShp.h"			// FW_COvalShape
#endif

#ifndef FWRRCSHP_H
#include "FWRRcShp.h"			// FW_CRoundRectShape
#endif

// ----- Foundation Layer -----
#ifndef FWSTREAM_H
#include "FWStream.h"
#endif

//==========================================================================
FW_DEFINE_CLASS_M1(CPizza, DU_MSelectable)

FW_REGISTER_ARCHIVABLE_CLASS(LPizza, CPizza, CPizza::Read, CPizza::Write)

//--------------------------------------------------------------------------
CPizza::CPizza(const FW_CRect& bounds, FW_CColor color)
 :	DU_MSelectable(bounds),
	fColor(color)
{
}

//--------------------------------------------------------------------------
CPizza::CPizza(FW_CReadableStream& stream)
  :	DU_MSelectable(stream)
{
	stream >> fColor;
}

//--------------------------------------------------------------------------
CPizza::~CPizza()
{
}

//--------------------------------------------------------------------------
void 
CPizza::Flatten(FW_CWritableStream& stream)
{	
	DU_MSelectable::Flatten(stream);
	stream << fColor;
}

//--------------------------------------------------------------------------
void*
CPizza::Read(FW_CReadableStream& stream)
{
	return new CPizza(stream);
}

//--------------------------------------------------------------------------
void	
CPizza::Draw(FW_CGraphicContext& gc)
{
	FW_CRect bounds = this->GetBounds();
	FW_COvalShape::RenderOval(gc, bounds, FW_kFill, fColor);
	FW_COvalShape::RenderOval(gc, bounds, FW_kFrame);
}
